Множественные уязвимости в AShop

Дата публикации:
10.11.2011
Всего просмотров:
741
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:N/I:N/A:P/E:ND/RL:O/RC:C) = Base:5/Temporal:0
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:ND/RL:O/RC:C) = Base:4.3/Temporal:0
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Спуфинг атака
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
AShop 5.x
Уязвимые версии: AShop 5.1.3, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "redirect" в сценарии language.php (когда параметр "language" установлен). Удаленный пользователь может перенаправить пользователя на произвольный web-сайт.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "picture" в сценарии picture.php, в параметре "resultpage" в сценарии catalogue.php, в параметре "sid" в сценарии basket.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: http://www.ashopsoftware.com/

Решение: Установите последнюю версию 5.1.4 с сайта производителя.

Ссылки: http://seclists.org/fulldisclosure/2011/Nov/122

или введите имя

CAPTCHA